import request from '@/utils/request'

// 根据商机类型查询文件模板列表
export function listFiletemplateByBotype(botype) {
  return request({
    url: '/mk/bo/filetemplate/botype' + botype,
    method: 'get',
  })
}

// 查询文件模板列表
export function listFiletemplate(query) {
  return request({
    url: '/mk/bo/filetemplate/list',
    method: 'get',
    params: query
  })
}

// 查询文件模板详细
export function getFiletemplate(id) {
  return request({
    url: '/mk/bo/filetemplate/' + id,
    method: 'get'
  })
}

// 新增文件模板
export function addFiletemplate(data) {
  return request({
    url: '/mk/bo/filetemplate',
    method: 'post',
    data: data
  })
}

// 修改文件模板
export function updateFiletemplate(data) {
  return request({
    url: '/mk/bo/filetemplate',
    method: 'put',
    data: data
  })
}

// 删除文件模板
export function delFiletemplate(id) {
  return request({
    url: '/mk/bo/filetemplate/' + id,
    method: 'delete'
  })
}
